with GNATCOM.Dispinterface;

package MSHTML.ISVGAnimatedEnumeration_Object is

   type ISVGAnimatedEnumeration_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_baseVal
     (This : ISVGAnimatedEnumeration_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_baseVal
     (This : ISVGAnimatedEnumeration_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_animVal
     (This : ISVGAnimatedEnumeration_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_animVal
     (This : ISVGAnimatedEnumeration_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.ISVGAnimatedEnumeration_Object;

